/* Copyright(C) 2013 Cobac.Net All rights reserved. */

#include "sys/alt_stdio.h"
#include "io.h"
#include "system.h"

#define DVALID  0x01
#define EMPTY   0x02

void putdata( int data );
int getdata(void);
int seg7dec( int indata );

int main()
{
    int data1, data2, data3, L, R;
    int posx=0, posy=0, dx, dy;
    int piodata=0xc0c0c0c0;
    IOWR_32DIRECT(PIO_0_BASE, 0, piodata);   /* 7ZO\ׂ0ɏ */

    putdata(0xFF);      /* ZbgR}hM */
    data1 = getdata();  /* }EXMi`FbNȂj */
    data2 = getdata();
    data3 = getdata();
    // alt_printf("res1=%x %x %x\n", data1, data2, data3);

    putdata(0xF4);      /* Cl[uR}hM */
    data1 = getdata();  /* }EXMi`FbNȂj */
    // alt_printf("res2=%x\n", data1);

    while(1) {
        /* }EX3f[^M */
        data1 = getdata();
        data2 = getdata();
        data3 = getdata();

        /* XAY̕rbgoA9rbg̈ړʂƂ */
        if ( (data1 & 0x10) != 0)
            dx = data2 | 0xffffff00;
        else
            dx = data2;
        if ( (data1 & 0x20) != 0)
            dy = data3 | 0xffffff00;
        else
            dy = data3;

        /* ړʂ݈ʒuɉZ */
        posx = posx + dx;
        posy = posy + dy;

        /* E{^̌o */
        L = ( (data1 & 0x01) != 0) ? 1: 0;
        R = ( (data1 & 0x02) != 0) ? 1: 0;
        // alt_printf("dx=%x dy=%x L=%x R=%x\n", dx, dy, L, R);

        /* \p̃f[^i݈ʒuj */
        piodata = seg7dec((posx >> 4) & 0x0f);
        piodata = (piodata <<8) | (seg7dec(posx & 0x0f)        & 0xff);
        piodata = (piodata <<8) | (seg7dec((posy >> 4) & 0x0f) & 0xff);
        piodata = (piodata <<8) | (seg7dec(posy & 0x0f)        & 0xff);

        /* \p̃f[^iE{^j */
        if ( L==1 )
            piodata &= ~0x00800000;
        if ( R==1 )
            piodata &= ~0x00000080;
        if ( L==1 && R==1 )
            posx = posy = 0;    /* ꂽ猻݈ʒuZbg */

        /* PIOɏŕ\ */
        IOWR_32DIRECT(PIO_0_BASE, 0, piodata);
    }
    return 0;
}

/* }EX1oCgo */
void putdata( int data )
{
    while ( (IORD_8DIRECT(PS2_0_BASE, 0) & EMPTY)==0 );
    IOWR_8DIRECT(PS2_0_BASE, 2, data);
}

/* }EX1oCgM */
int getdata(void)
{
    int ps2in = 0;
    while ( (ps2in & DVALID)==0 ) {
        ps2in=IORD_8DIRECT(PS2_0_BASE, 0);
    }
    ps2in &= ~DVALID;
    IOWR_8DIRECT(PS2_0_BASE, 0, ps2in);
    return IORD_8DIRECT(PS2_0_BASE, 1);
}

/* 7ZOgEfR[_ */
int seg7dec( int indata )
{
    int temp;
    switch ( indata ) {
        case 0x0: temp = 0xc0; break;
        case 0x1: temp = 0xf9; break;
        case 0x2: temp = 0xa4; break;
        case 0x3: temp = 0xb0; break;
        case 0x4: temp = 0x99; break;
        case 0x5: temp = 0x92; break;
        case 0x6: temp = 0x82; break;
        case 0x7: temp = 0xd8; break;
        case 0x8: temp = 0x80; break;
        case 0x9: temp = 0x90; break;
        case 0xA: temp = 0x88; break;
        case 0xB: temp = 0x83; break;
        case 0xC: temp = 0xc6; break;
        case 0xD: temp = 0xa1; break;
        case 0xE: temp = 0x86; break;
        case 0xF: temp = 0x8e; break;
        default:  temp = 0xff; break;
    }

    return temp;
}
